summaryrefslogtreecommitdiffstats
path: root/src/spdk/.githooks/pre-commit
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-21 11:54:28 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-21 11:54:28 +0000
commite6918187568dbd01842d8d1d2c808ce16a894239 (patch)
tree64f88b554b444a49f656b6c656111a145cbbaa28 /src/spdk/.githooks/pre-commit
parentInitial commit. (diff)
downloadceph-upstream/18.2.2.tar.xz
ceph-upstream/18.2.2.zip
Adding upstream version 18.2.2.upstream/18.2.2
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'src/spdk/.githooks/pre-commit')
-rwxr-xr-xsrc/spdk/.githooks/pre-commit28
1 files changed, 28 insertions, 0 deletions
diff --git a/src/spdk/.githooks/pre-commit b/src/spdk/.githooks/pre-commit
new file mode 100755
index 000000000..c0b461246
--- /dev/null
+++ b/src/spdk/.githooks/pre-commit
@@ -0,0 +1,28 @@
+#!/bin/sh
+#
+# Verify what is about to be committed.
+# Called by "git commit" with no arguments. The hook should
+# exit with non-zero status after issuing an appropriate message if
+# it wants to stop the commit.
+
+rc=0
+
+# Redirect output to stderr.
+exec 1>&2
+
+# If there are formatting errors, print the offending file names and fail.
+if [ -x "./scripts/check_format.sh" ]; then
+ echo "Running check_format.sh ..."
+ "./scripts/check_format.sh" > check_format.log 2>&1
+ rc=$?
+ if [ $rc -ne 0 ]; then
+ cat check_format.log
+ echo ""
+ echo "ERROR check_format.sh returned errors!"
+ echo "ERROR Fix the problem and use 'git add' to update your changes."
+ echo "ERROR See `pwd`/check_format.log for more information."
+ echo ""
+ fi
+fi
+
+exit $rc